OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class IcmpPlugin.Ping

    java.lang.Object
      org.opennms.netmgt.capsd.IcmpPlugin.Ping

Enclosing class:
  IcmpPlugin

private static final class IcmpPlugin.Ping
extends java.lang.Object

This class is used to encapsulate a ping request. A request consist of the pingable address and a signaled state.

Field Summary
`private java.net.InetAddress` `m_addr` The address being pinged
`private boolean` `m_signaled` The state of the ping

Constructor Summary
`(package private)` `IcmpPlugin.Ping(java.net.InetAddress addr)` Constructs a new ping object

Method Summary
`(package private) boolean` `isSignaled()` Returns true if signaled.
`(package private) boolean` `isTarget(java.net.InetAddress addr)` Returns true if the passed address is the target of the ping.
`(package private) void` `signal()` Sets the signaled state and awakes the blocked threads.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_addr

    private final java.net.InetAddress m_addr

  The address being pinged

### m_signaled

    private boolean m_signaled

  The state of the ping

Constructor Detail

### IcmpPlugin.Ping

    IcmpPlugin.Ping(java.net.InetAddress addr)

  Constructs a new ping object

Method Detail

### isSignaled

    boolean isSignaled()

  Returns true if signaled.

### signal

    void signal()

  Sets the signaled state and awakes the blocked threads.

### isTarget

    boolean isTarget(java.net.InetAddress addr)

  Returns true if the passed address is the target of the ping.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.